Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class ConditionEffectEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          ix.iface.ui.JConstraintEditor
                              ix.iview.ConstraintEditor
                                  ix.iview.ConditionEffectEditor

All Implemented Interfaces:
  VarSpecifier, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class ConditionEffectEditor

extends ConstraintEditor
implements javax.swing.event.ListSelectionListener

An editor for specifying conditions and effects in refinements. Conditions and effects are attached to self (the refinement) or to a child.

The editor is implemented as a frame using JList objects, a JCheckBox and JButtons.

The editor can be created with no arguments or with a given refinement which will be set as the current refinement whose conditions and effects are to be specified. Subsequently, the refinement in the editor can be set using the setRefinement method.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected ListEditorPanel` | `actEd`
`protected javax.swing.JRadioButton` | `condBut`
`(package private) LTF_Parser` | `constraintParser`
`protected javax.swing.JRadioButton` | `effBut`
`(package private) boolean` | `isAdjusting`
`protected javax.swing.JTextField` | `statement`

Fields inherited from class ix.iview.ConstraintEditor
`varDecs`

Fields inherited from class ix.iface.ui.JConstraintEditor
`bitsBox, butBox, cancelBut, constraintListeners, currentObject, focusComponent, label, mainPanel, moreBut, okBut, original`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConditionEffectEditor(java.awt.Frame owner)` Creates an editor for specifying time point relations.
`ConditionEffectEditor(java.awt.Frame owner, UIRefinement refinement)` Creates an editor for specifying time point relations within the given refinement.

Method Summary
`protected java.lang.Object` | `collectConstraint()` Reads the selected relation and let interested parties know.
`protected javax.swing.JComponent` | `getFocusComponent()` By default, there is no focus component
`protected void` | `initFromObject()` Sets the refinement whose components (children) are to be related.
`protected java.awt.Component` | `makeRels()` Makes all items on the relations panel.
`void` | `moreInitFromObject()` Called instead of initFromObject when addMore is clicked rather than add.
`protected Constraint` | `readCondition(java.lang.String text)`
`protected Constraint` | `readCondition(Symbol condEff, java.lang.String text)`
`protected void` | `setFromObject(java.lang.Object original)` Sets the editor up to edit (rather than add) an original constraint object.
`void` | `valueChanged(javax.swing.event.ListSelectionEvent e)`

Methods inherited from class ix.iview.ConstraintEditor
`addVariableDeclaration, getField, getPreviousList, getVarsToOffer, handleVariables, makeBits, processConstraint, start`

Methods inherited from class ix.iface.ui.JConstraintEditor
`addConstraintListener, closeEditor, focus, getObject, isEditing, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, noteNewValue, removeConstraintListener, setMessage, setObject, setOriginal, start, start, start, start, start`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actEd

    protected ListEditorPanel actEd

### condBut

    protected javax.swing.JRadioButton condBut

### effBut

    protected javax.swing.JRadioButton effBut

### statement

    protected javax.swing.JTextField statement

### constraintParser

    LTF_Parser constraintParser

### isAdjusting

    boolean isAdjusting

Constructor Detail

### ConditionEffectEditor

    public ConditionEffectEditor(java.awt.Frame owner)

  Creates an editor for specifying time point relations. The editor has components for selecting two time points of two sub-activities, and two buttons (Ok, Cancel) "- enter pattern-value statements,", "- select whether you are specifying a condition or an effect,", "- select the node to which the condition/effect applies."});

### ConditionEffectEditor

    public ConditionEffectEditor(java.awt.Frame owner,
                                 UIRefinement refinement)

  Creates an editor for specifying time point relations within the given refinement. As OrderingEditor() but with a given refinement.

  Parameters:
    `refinement` - the refinement whose sub-activities are to be related

Method Detail

### makeRels

    protected java.awt.Component makeRels()

  Makes all items on the relations panel. These are two identical activity lists and two identical time point lists and a "Before" label between the two

  Specified by:
    `makeRels` in class `ConstraintEditor`

### moreInitFromObject

    public void moreInitFromObject()
                            throws java.lang.NullPointerException

  Description copied from class: `JConstraintEditor`
  Called instead of initFromObject when addMore is clicked rather than add.

  Overrides:
    `moreInitFromObject` in class `JConstraintEditor`
  Throws:
    `java.lang.NullPointerException`

### initFromObject

    protected void initFromObject()
                           throws java.lang.NullPointerException

  Sets the refinement whose components (children) are to be related. Fills the activity lists of the panel with the children of the refinement.

  Specified by:
    `initFromObject` in class `ConstraintEditor`
  Parameters:
    `refinement` - the refinement whose children are to be related
  Throws:
    `java.lang.NullPointerException` - if the refinement has no children.

### setFromObject

    protected void setFromObject(java.lang.Object original)

  Description copied from class: `ConstraintEditor`
  Sets the editor up to edit (rather than add) an original constraint object.

  Specified by:
    `setFromObject` in class `ConstraintEditor`

### getFocusComponent

    protected javax.swing.JComponent getFocusComponent()

  Description copied from class: `JConstraintEditor`
  By default, there is no focus component

  Overrides:
    `getFocusComponent` in class `JConstraintEditor`

### collectConstraint

    protected java.lang.Object collectConstraint()

  Reads the selected relation and let interested parties know. Checks that selections have been made.

  Specified by:
    `collectConstraint` in class `ConstraintEditor`

### readCondition

    protected Constraint readCondition(Symbol condEff,
                                       java.lang.String text)
                                throws SyntaxException

  Throws:
    `SyntaxException`

### readCondition

    protected Constraint readCondition(java.lang.String text)
                                throws SyntaxException

  Throws:
    `SyntaxException`

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD